# Form implementation generated from reading ui file 'src/eric7/IconEditor/IconSizeDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_IconSizeDialog(object):
    def setupUi(self, IconSizeDialog):
        IconSizeDialog.setObjectName("IconSizeDialog")
        IconSizeDialog.resize(232, 78)
        IconSizeDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(IconSizeDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=IconSizeDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.widthSpin = QtWidgets.QSpinBox(parent=IconSizeDialog)
        self.widthSpin.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.widthSpin.setMinimum(1)
        self.widthSpin.setMaximum(256)
        self.widthSpin.setProperty("value", 32)
        self.widthSpin.setObjectName("widthSpin")
        self.gridLayout.addWidget(self.widthSpin, 0, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=IconSizeDialog)
        self.label_2.setAlignment(QtCore.Qt.AlignmentFlag.AlignCenter)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 0, 2, 1, 1)
        self.heightSpin = QtWidgets.QSpinBox(parent=IconSizeDialog)
        self.heightSpin.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.heightSpin.setMinimum(1)
        self.heightSpin.setMaximum(256)
        self.heightSpin.setProperty("value", 32)
        self.heightSpin.setObjectName("heightSpin")
        self.gridLayout.addWidget(self.heightSpin, 0, 3, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(42, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem, 0, 4, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=IconSizeDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 1, 0, 1, 5)

        self.retranslateUi(IconSizeDialog)
        self.buttonBox.accepted.connect(IconSizeDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(IconSizeDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(IconSizeDialog)
        IconSizeDialog.setTabOrder(self.widthSpin, self.heightSpin)
        IconSizeDialog.setTabOrder(self.heightSpin, self.buttonBox)

    def retranslateUi(self, IconSizeDialog):
        _translate = QtCore.QCoreApplication.translate
        IconSizeDialog.setWindowTitle(_translate("IconSizeDialog", "Icon Size"))
        self.label.setText(_translate("IconSizeDialog", "Size:"))
        self.widthSpin.setToolTip(_translate("IconSizeDialog", "Enter the width of the icon"))
        self.label_2.setText(_translate("IconSizeDialog", "X"))
        self.heightSpin.setToolTip(_translate("IconSizeDialog", "Enter the height of the icon"))
